Get action execution details

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /executions
  • /:execution_id
  • /action_executions
  • /:action_execution_id

Returns details of a single action execution

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

execution_idrequiredinteger
The ID of the execution

Example: 123456

action_execution_idrequiredstring
The ID of the action execution

Example: "68e49e0e0875a8847e0980da"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
action_execution_idstring
The unique identifier of the action execution
start_datestring
The date and time when the action execution started
finish_datestring
The date and time when the action execution finished
error_messagestring
The error message if the action execution failed
statusstring enum
The current status of the action execution
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
progressnumber
The progress of the action execution in percentages (0-100)
actionShortActionResponse
terminator_idinteger
The ID of the user who terminated the action execution
termination_datestring
The date and time when the action execution was terminated
approver_idinteger
The ID of the user who approved the action execution
approval_datestring
The date and time when the action execution was approved
passed_variablesSimpleVariableView[]
The variables passed to this action execution
outputted_variablesSimpleVariableView[]
The variables exported by this action execution
visual_tests_outputVisualTestsOutputView[]
The output from visual tests if any were run
sandbox_project_idinteger
The sandbox project ID associated with this action execution
sandbox_idstring
The sandbox ID associated with this action execution
targetstring
The target identifier where the action was executed
logstring[]
The console output log of the action execution
log_urlstring
The URL to download the full log file

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions/:execution_id/action_executions/:action_execution_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/89/executions/123456/action_executions/68e77c82b38c40fc0535ee55", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/89/execution/68e77c82b38c40fc0535ee51/?actionExecutionId=68e77c82b38c40fc0535ee55", "start_date": "2025-10-09T09:12:38.688Z", "finish_date": "2025-10-09T09:12:42.322Z", "status": "SUCCESSFUL", "progress": 100, "action": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/89/actions/149", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/89/action/149/edit", "id": 149, "name": "Transfer to AWS S3/my-bucket", "type": "AMAZON_S3", "current_revision": "2aeec94b11d79263c0076e8281e93ceacf88211c", "trigger_time": "ON_EVERY_EXECUTION", "run_next": "WAIT_ON_SUCCESS", "disabled": false, "timeout": null, "ignore_errors": false, "integration": { "identifier": "amazon-web-services" }, "last_execution_status": "SUCCESSFUL" }, "passed_variables": [], "outputted_variables": [], "log": [ "Integration: amazon-web-services|3A97MwY02W1GEVkmzePKxRyDnE", "Listing files for deployment...", "File list ready. Starting upload...", "Deploying...", "Creating directory dir...", "Uploading file dir/readme.txt...", "Uploading file sad...", "Deployment finished successfully" ] }
STATUS
200 OK